# optimsimplex_getallfv

Returns all the function values contained in the simplex object.

## Calling Sequence

                fv = optimsimplex_getallfv(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

fv

  A row vector of function values.

  The function value of vertex #k is stored in fv(k) with k = 1 to nbve.

## Description

The `optimsimplex_getallfv` function returns all the function values of all the vertices, as a row vector.

## Example

        simplex = [
        3.  0.  0.
        4. 1.  0.
        5. 0.  2.
     ];
    s1 = optimsimplex_new ();
    s1 = optimsimplex_setall ( s1 , simplex );
        fv = optimsimplex_getallfv(s1);
        disp(fv)

        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_setallfv
- optimsimplex_getfv
- optimsimplex_getall
- optimsimplex_setfv
- optimsimplex_setall